Subject: Re: Proposed changes to io.h

From: Christoph Hellwig <[email-masked]>
Date: Wed, 31 Mar 2004 20:43:53 +0200

On Wed, Mar 31, 2004 at 01:40:15PM -0500, John Whitney wrote:
> Just out of curiosity, are there replacements or are you just supposed
> to do good-practice things like store the dma address returned by
> pci_alloc_consistent/dma_alloc_coherent?

The latter.  (or pci_map* / dma_map*)

> >Standard-naming for those are readq/writeq afaik
>
> Specifically, the MTD code looks for __raw_readll/writell, which is why
> I used the convention I did.  I'll be happy to update the names if
> desired.

What mtd code?

hch@bird:/repo/repo/linux-2.5$ grep __raw_readll include/asm-*/io.h | wc -l
0
hch@bird:/repo/repo/linux-2.5$ grep __raw_readq include/asm-*/io.h | wc -l
22

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/